# Class PlayApplicationPlugin

java.lang.Object
org.gradle.play.plugins.PlayApplicationPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class PlayApplicationPlugin extends Object implements Plugin<Project>
Plugin for Play Framework component support. Registers the `PlayApplicationSpec` component type for the components container.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_HTTP_PORT`
`static final String`
`RUN_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`PlayApplicationPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_HTTP_PORT

public static final int DEFAULT_HTTP_PORT

See Also:
  - Constant Field Values

### RUN_GROUP

public static final String RUN_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### PlayApplicationPlugin

public PlayApplicationPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object